Bug 1148688 - ssl_accept might block after reboot
Summary: ssl_accept might block after reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
: 1148663 (view as bug list)
Depends On:
Blocks: 1148772 CVE-2014-7968 1150814 rhev3.5beta3
TreeView+ depends on / blocked
 
Reported: 2014-10-02 06:19 UTC by Oved Ourfali
Modified: 2016-02-10 19:08 UTC (History)
15 users (show)

Fixed In Version: vdsm-4.16.6-1
Doc Type: Release Note
Doc Text:
Clone Of:
: 1148772 (view as bug list)
Environment:
Last Closed: 2015-02-11 21:12:53 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0159 0 normal SHIPPED_LIVE vdsm 3.5.0 - bug fix and enhancement update 2015-02-12 01:35:58 UTC
oVirt gerrit 33611 0 None MERGED ssl: ssl_accept blocks after reboot 2020-05-26 19:33:10 UTC
oVirt gerrit 33643 0 None MERGED ssl: ssl_accept blocks after reboot 2020-05-26 19:33:10 UTC
oVirt gerrit 33644 0 ovirt-3.4 MERGED ssl: ssl_accept blocks after reboot 2020-05-26 19:33:10 UTC

Description Oved Ourfali 2014-10-02 06:19:37 UTC
Description of problem:

When rebooting host most of the times ssl_accept blocks when there is
new connection established just after socket is opened. Setting timeout
on socket seems to help but when testing I noticed sometimes there is
still connection blocked on ssl_accept.

Comment 2 Piotr Kliczewski 2014-10-06 08:46:14 UTC
*** Bug 1148663 has been marked as a duplicate of this bug. ***

Comment 4 Eyal Edri 2014-10-07 07:16:46 UTC
this bug status was moved to MODIFIED before vdsm vt5 was built,
hence moving to on_qa, if this was mistake and the fix isn't in,
please contact rhev-integ@redhat.com

Comment 5 Petr Beňas 2014-10-07 15:47:33 UTC
How to test? I see you've written a unittest for that, but is there any way how to test with live rhevm - vdsm communication? 
I think I understand the issue, but it's unclear to me how to verify. I can reboot hosts, but don't know where to check whether the ssl connection blocked or not.

Comment 9 Petr Beňas 2014-10-09 16:03:48 UTC
in vdsm-4.16.6-1.el7.x86_64

Comment 13 errata-xmlrpc 2015-02-11 21:12:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0159.html


Note You need to log in before you can comment on or make changes to this bug.